"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateTypes = void 0;
function generateTypes(tableName) {
    const types = [];
    types.push(`type ${tableName}_GetRequest = string;`, `type ${tableName}_GetResponse = Database['public']['Tables']['${tableName}']['Row'];`, `type ${tableName}_GetAllResponse = Database['public']['Tables']['${tableName}']['Row'][];`, `type ${tableName}_AddRequest = Database['public']['Tables']['${tableName}']['Insert'];`, `type ${tableName}_UpdateRequest = { id: string; changes: Database['public']['Tables']['${tableName}']['Update'] };`, `type ${tableName}_DeleteRequest = string;`);
    return types;
}
exports.generateTypes = generateTypes;
